## org.eclipse.emf.ecore.xml.namespace.impl
Class XMLNamespacePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecore.xml.namespace.impl.XMLNamespacePackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, XMLNamespacePackage

    public class XMLNamespacePackageImpl

extends EPackageImpl
implements XMLNamespacePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xml.namespace.XMLNamespacePackage
`XMLNamespacePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.xml.namespace.XMLNamespacePackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, LANG_TYPE, LANG_TYPE_NULL, SPACE_TYPE, SPACE_TYPE_OBJECT, XML_NAMESPACE_DOCUMENT_ROOT, XML_NAMESPACE_DOCUMENT_ROOT__BASE, XML_NAMESPACE_DOCUMENT_ROOT__ID, XML_NAMESPACE_DOCUMENT_ROOT__LANG, XML_NAMESPACE_DOCUMENT_ROOT__MIXED, XML_NAMESPACE_DOCUMENT_ROOT__SPACE, XML_NAMESPACE_DOCUMENT_ROOT__XMLNS_PREFIX_MAP, XML_NAMESPACE_DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, XML_NAMESPACE_DOCUMENT_ROOT_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`protected void` `createNamespaceAnnotations()` Initializes the annotations for http://www.w3.org/XML/1998/namespace
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EDataType` `getLangType()`
`EDataType` `getLangTypeNull()`
`EEnum` `getSpaceType()`
`EDataType` `getSpaceTypeObject()`
`EAttribute` `getXMLNamespaceDocumentRoot_Base()`
`EAttribute` `getXMLNamespaceDocumentRoot_Id()`
`EAttribute` `getXMLNamespaceDocumentRoot_Lang()`
`EAttribute` `getXMLNamespaceDocumentRoot_Mixed()`
`EAttribute` `getXMLNamespaceDocumentRoot_Space()`
`EReference` `getXMLNamespaceDocumentRoot_XMLNSPrefixMap()`
`EReference` `getXMLNamespaceDocumentRoot_XSISchemaLocation()`
`EClass` `getXMLNamespaceDocumentRoot()`
`XMLNamespaceFactory` `getXMLNamespaceFactory()`
`static XMLNamespacePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static XMLNamespacePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `XMLNamespacePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getXMLNamespaceDocumentRoot

    public EClass getXMLNamespaceDocumentRoot()

  Specified by:
    `getXMLNamespaceDocumentRoot` in interface `XMLNamespacePackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `XMLNamespaceDocumentRoot`

### getXMLNamespaceDocumentRoot_Mixed

    public EAttribute getXMLNamespaceDocumentRoot_Mixed()

  Specified by:
    `getXMLNamespaceDocumentRoot_Mixed` in interface `XMLNamespacePackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `XMLNamespaceDocumentRoot.getMixed()`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_XMLNSPrefixMap

    public EReference getXMLNamespaceDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getXMLNamespaceDocumentRoot_XMLNSPrefixMap` in interface `XMLNamespacePackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `XMLNamespaceDocumentRoot.getXMLNSPrefixMap()`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_XSISchemaLocation

    public EReference getXMLNamespaceDocumentRoot_XSISchemaLocation()

  Specified by:
    `getXMLNamespaceDocumentRoot_XSISchemaLocation` in interface `XMLNamespacePackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `XMLNamespaceDocumentRoot.getXSISchemaLocation()`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Base

    public EAttribute getXMLNamespaceDocumentRoot_Base()

  Specified by:
    `getXMLNamespaceDocumentRoot_Base` in interface `XMLNamespacePackage`
  Returns:
    the meta object for the attribute 'Base'.
  See Also:
    `XMLNamespaceDocumentRoot.getBase()`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Id

    public EAttribute getXMLNamespaceDocumentRoot_Id()

  Specified by:
    `getXMLNamespaceDocumentRoot_Id` in interface `XMLNamespacePackage`
  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `XMLNamespaceDocumentRoot.getId()`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Lang

    public EAttribute getXMLNamespaceDocumentRoot_Lang()

  Specified by:
    `getXMLNamespaceDocumentRoot_Lang` in interface `XMLNamespacePackage`
  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `XMLNamespaceDocumentRoot.getLang()`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

### getXMLNamespaceDocumentRoot_Space

    public EAttribute getXMLNamespaceDocumentRoot_Space()

  Specified by:
    `getXMLNamespaceDocumentRoot_Space` in interface `XMLNamespacePackage`
  Returns:
    the meta object for the attribute 'Space'.
  See Also:
    `XMLNamespaceDocumentRoot.getSpace()`, `XMLNamespacePackage.getXMLNamespaceDocumentRoot()`

### getSpaceType

    public EEnum getSpaceType()

  Specified by:
    `getSpaceType` in interface `XMLNamespacePackage`
  Returns:
    the meta object for enum 'Space Type'.
  See Also:
    `SpaceType`

### getLangType

    public EDataType getLangType()

  Specified by:
    `getLangType` in interface `XMLNamespacePackage`
  Returns:
    the meta object for data type 'Lang Type'.
  See Also:
    `String`

### getLangTypeNull

    public EDataType getLangTypeNull()

  Specified by:
    `getLangTypeNull` in interface `XMLNamespacePackage`
  Returns:
    the meta object for data type 'Lang Type Null'.
  See Also:
    `String`

### getSpaceTypeObject

    public EDataType getSpaceTypeObject()

  Specified by:
    `getSpaceTypeObject` in interface `XMLNamespacePackage`
  Returns:
    the meta object for data type 'Space Type Object'.
  See Also:
    `SpaceType`

### getXMLNamespaceFactory

    public XMLNamespaceFactory getXMLNamespaceFactory()

  Specified by:
    `getXMLNamespaceFactory` in interface `XMLNamespacePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createNamespaceAnnotations

    protected void createNamespaceAnnotations()

  Initializes the annotations for http://www.w3.org/XML/1998/namespace.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.